For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • GETList all People Groups
      • POSTAdd People Group
      • PUTUpdate People Group
      • DELDelete People Group
Trebellar Platform
LogoLogo
API ResourcesPeople Groups

Delete People Group

||View as Markdown|
DELETE
https://api.trebellar.app/api/v2/people/groups/:groupId
DELETE
/api/v2/people/groups/:groupId
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.peopleGroups.deletePeopleGroup("groupId");
8}
9main();
1{
2 "id": "string",
3 "archived": true
4}
Was this page helpful?
Previous

Update People Group

Next

List People with Asset Filtering

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

groupIdstringRequired

Response

People group deleted successfully
idstring
archivedboolean

Errors

404
Not Found Error
500
Internal Server Error